- Qt 6.10
- Qt SCXML
- qt_add_statecharts
- Qt 6.10.2 Reference Documentation

# qt_add_statecharts

Converts `.scxml` files into C++ source code.

This command was introduced in Qt 6.1.

The command is defined in the `Scxml` component of the `Qt6` package. Load the package with:

     find_package(Qt6 REQUIRED COMPONENTS Scxml)

## Synopsis

     qt_add_statecharts(<TARGET> file1.scxml [file2.scxml ...]
                         [OPTIONS ...])

If versionless commands are disabled, use `qt6_add_statecharts()` instead. It supports the same set of arguments as this command.

## Description

The `qt_add_statecharts` macro instructs CMake to invoke the `qscxmlc` tool to read the provided `.scxml` files and produce C++ source and header files, that contain the classes that implement the state machines as defined in SCXML.

For further instructions, options and examples please refer to Using the Qt SCXML Compiler (qscxmlc)